<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('proposal_histories', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('project_title', 300)->nullable();
            $table->tinyInteger('project_type_id')->nullable();
            $table->string('project_type_fa', 100)->nullable();
            $table->tinyInteger('office_id')->nullable();
            $table->string('office_fa', 100)->nullable();
            $table->tinyInteger('province_id')->nullable();
            $table->string('province_fa', 100)->nullable();
            $table->integer('axis_type_id')->nullable();
            $table->string('axis_type_fa', 100)->nullable();
            $table->string('axis_name', 300)->nullable();
            $table->tinyInteger('followup_priority_project_id')->nullable();
            $table->string('followup_priority_project', 100)->nullable();
            $table->tinyInteger('priority_project')->nullable();
            $table->string('priority_project_fa', 100)->nullable();
            $table->tinyInteger('status_id')->nullable();
            $table->string('status_fa', 100)->nullable();
            $table->string('unique_code', 100);
            $table->integer('operation_type_id1')->nullable();
            $table->string('operation_type_fa1', 255)->nullable();
            $table->string('operation_type_unit1', 255)->nullable();
            $table->string('operation_type_amount1', 255)->nullable();
            $table->integer('operation_type_id2')->nullable();
            $table->string('operation_type_fa2', 255)->nullable();
            $table->string('operation_type_unit2', 255)->nullable();
            $table->string('operation_type_amount2', 255)->nullable();
            $table->integer('operation_type_id3')->nullable();
            $table->string('operation_type_fa3', 255)->nullable();
            $table->string('operation_type_unit3', 255)->nullable();
            $table->string('operation_type_amount3', 255)->nullable();
            $table->integer('operation_type_id4')->nullable();
            $table->string('operation_type_fa4', 255)->nullable();
            $table->string('operation_type_unit4', 255)->nullable();
            $table->string('operation_type_amount4', 255)->nullable();
            $table->string('start_lat', 255)->nullable();
            $table->string('end_lat', 255)->nullable();
            $table->string('start_lng', 255)->nullable();
            $table->string('end_lng', 255)->nullable();
            $table->unsignedBigInteger('user_id')->nullable();
            $table->text('user_description')->nullable();
            $table->string('national_credit')->nullable();
            $table->string('province_credit')->nullable();
            $table->string('created_at_fa')->nullable();
            $table->string('updated_at_fa')->nullable();
            $table->timestamps();
            $table->unsignedBigInteger('proposal_id')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('proposal_histories');
    }
};
